Skip to main content
PUT
/
cloud
/
v1
/
volumes
/
{project_id}
/
{region_id}
/
{volume_id}
/
metadata
Replace volume tags
curl --request PUT \
  --url https://api.gcore.com/cloud/v1/volumes/{project_id}/{region_id}/{volume_id}/metadata \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api.gcore.com/cloud/v1/volumes/{project_id}/{region_id}/{volume_id}/metadata"

payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api.gcore.com/cloud/v1/volumes/{project_id}/{region_id}/{volume_id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

volume_id
string<uuid4>
required

Volume ID

Example:

"726ecfcc-7fd0-4e30-a86e-7892524aa483"

Body

application/json

A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.

{key}
string

Tag value. Maximum 255 characters. Cannot contain tabs, newlines, or empty strings. Trailing or leading whitespaces will be stripped.

Required string length: 1 - 255
Pattern: ^[^ \t\n\r\f\v]([^\t\n\r\f\v]*[^ \t\n\r\f\v])?$
Example:

"my-tag-value"

Response

204

No Content